import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import path from 'path';
// https://vitejs.dev/config/

export default defineConfig({
  plugins: [react()],
  build: {
    lib: {
      entry: path.resolve(__dirname, 'src/index.ts'),
      name: 'realsee-five-plugin-minicompass',
      fileName: (format) => `realsee-five-plugin-minicompass.${format}.js`,
    },
    rollupOptions: {
      // 确保外部化处理那些你不想打包进库的依赖
      external: ['react', 'three', '@realsee/dnalogel', '@realsee/five'],
      output: {
        // 在 UMD 构建模式下为这些外部化的依赖提供一个全局变量
        globals: {
          react: 'React',
          '@realsee/five': 'five',
          '@realsee/five/line': 'FiveSDK_Line',
          three: 'THREE',
        },
      },
    },
  },
});
